<template>
  <v-main v-if="$store.state.auth">
    <v-navigation-drawer
      v-model="drawer"
      temporary
      fixed
    >
      <v-list-item>
        <v-list-item-content>
          <v-list-item-title class="title">
            WorldWide Migrate
          </v-list-item-title>
          <v-list-item-subtitle>
            Governor panel
          </v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>

      <v-divider></v-divider>

      <v-list dense>
        <v-list-item link href="/">
          <v-list-item-icon>
            <v-icon>home</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>
              Home
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>

        <v-list-item link href="/proposals">
          <v-list-item-icon>
            <v-icon>info</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>
              Manage migrate proposals
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>

    </v-navigation-drawer>


    <v-app-bar>
      <v-app-bar-nav-icon @click="drawer = true"></v-app-bar-nav-icon>
      <v-spacer></v-spacer>
      <v-btn icon>
        <v-icon @click="logout">mdi-logout</v-icon>
      </v-btn>
    </v-app-bar>

    <slot></slot>

  </v-main>
</template>

<script>
export default {
  name: "AppWrapper",
  data() {
    return {
      drawer: false
    }
  },

  methods: {
    logout() {
      this.$store.commit('LOGOUT');
      location.assign('/');
    }
  },

  beforeMount() {
    this.$store.dispatch('pingUser').then(res => {
      if (!res) {
        location.assign('/auth');
      }
    })
  }
}
</script>

<style scoped>

</style>
